# $Revision: 1.4 $, $Date: 2012/06/30 10:07:43 $
#
# Conditional build:
%bcond_with	tests		# perform "make test" (requires libvirtd)
#
%define		pdir	Sys
%define		pnam	Virt
%include	/usr/lib/rpm/macros.perl
Summary:	Sys::Virt - Represent and manage a libvirt hypervisor connection
Summary(pl.UTF-8):	Sys::Virt - reprezentacja i zarządzanie połączeniem z hipernadzorcą libvirt
Name:		perl-Sys-Virt
Version:	0.9.12
Release:	1
License:	GPL v2+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sys/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ca6ae250091c9b17354ac3753bb740a2
URL:		http://search.cpan.org/dist/Sys-Virt/
BuildRequires:	libvirt-devel >= 0.9.12
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	libvirt-daemon >= 0.9.2
BuildRequires:	perl-CPAN-Changes
BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Test-Pod-Coverage
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Time-HiRes
BuildRequires:	perl-XML-XPath
%endif
Requires:	libvirt >= 0.9.12
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Sys::Virt module provides a Perl XS binding to the libvirt virtual
machine management APIs. This allows machines running within arbitrary
virtualization containers to be managed with a consistent API.

%description -l pl.UTF-8
Moduł Sys::Virt dostarcza wiązanie XS Perla do API zarządzania
maszynami wirtualnymi libvirt. Pozwala na zarządzanie poprzez
jednolite API maszynami wirtualnymi działającymi w dowolnych
kontenerach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} -j1 \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Changes README
%{perl_vendorarch}/Sys/Virt.pm
%dir %{perl_vendorarch}/Sys/Virt
%{perl_vendorarch}/Sys/Virt/*.pm
%dir %{perl_vendorarch}/auto/Sys/Virt
%{perl_vendorarch}/auto/Sys/Virt/Virt.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Sys/Virt/Virt.so
%{_mandir}/man3/Sys::Virt*.3pm*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Sys-Virt.spec,v $
Revision 1.4  2012/06/30 10:07:43  qboosh
- updated to 0.9.12
- pl
- disabled tests by default, they rely on running libvirtd

Revision 1.3  2011/03/29 10:12:02  baggins
- too many dirs

Revision 1.2  2011/03/29 10:11:17  baggins
- adapter

Revision 1.1  2011/03/29 09:23:00  baggins
- initial revision by pldcpan
